enum ActivityType {
  EVENT_CREATED
  EVENT_UPDATED
  STAFF_ASSIGNED
  INVOICE_PAID
  INVOICE_CREATED
  VENDOR_APPROVED
  MESSAGE_RECEIVED
}

type ActivityLog @table(name: "activity_logs") {
  id: UUID! @default(expr: "uuidV4()")
  title: String!
  description: String!
  activityType: ActivityType!
  userId: String!          # user_id (FK lógica a User.id)
  isRead: Boolean @default(expr: "false")
  iconType: String
  iconColor: String
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}